<!--
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<div class="form-group" data-bind="css: additionalClasses">
    <label class="control-label" data-bind="text: element.label">
    </label>
    <div class="nx-form-group-wrap">
        <!-- ko foreach: { data: elems, as: 'element' } -->

            <!-- ko if: element.visible() -->

                <!-- ko ifnot: (element.input_type == 'checkbox' || element.input_type == 'radio') -->
                    <!-- ko template: element.elementTmpl --><!-- /ko -->
                <!-- /ko -->

                <!-- ko if: (element.input_type == 'checkbox' || element.input_type == 'radio') -->
                    <!-- ko template: element.elementTmpl --><!-- /ko -->
                <!-- /ko -->

            <!-- /ko -->

        <!-- /ko -->

        <!-- ko if: validateWholeGroup -->
        <!-- ko  foreach: { data: elems, as: 'element' } -->
            <!-- ko if: element.error() && element.visible() -->
                <label class="error" data-bind="attr: { for: uid }, text: element.error"></label>
            <!-- /ko -->
        <!-- /ko -->
        <!-- /ko -->
    </div>
</div>
